Bug 113846 - CAN-2004-0006/7/8 Multiple vulnerabilities in Gaim
CAN-2004-0006/7/8 Multiple vulnerabilities in Gaim
Product: Fedora
Classification: Fedora
Component: gaim (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Blizzard
: Security
: 114304 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2004-01-19 09:10 EST by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-03-15 06:38:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2004-01-19 09:10:28 EST
A number of vulnerabilities in GAIM found by Stefan Esser.
Notified to vendor-sec on Jan16th and have been committed to CVS. 
Agreed to hold off on disclosure of the details until Stefan has sent
his advisory.

Due to the nature of instant messaging many of these bugs
require man-in-the-middle attacks between client and server.
However at least one of the buffer overflows could be exploited
by an attacker sending a carefully constructed malicious
message through a server.


Buffer overflows in Gaim 0.75 and earlier including parsing
cookies in a Yahoo web connection, YMSG protocol overflows
parsing Yahoo Login Webpage, YMSG packet overflow, URL parser,
and HTTP Proxy connect.


Buffer overflow in Gaim 0.74 and earlier in the Extract Info
Field Function used for MSN and YMSG protocol handlers.


Integer Overflow in Gaim 0.74 and earlier, when allocating
memory for a directIM packet results in heap overflow
Comment 1 Mark J. Cox (Product Security) 2004-01-26 04:54:12 EST
Removing embargo. Issue public 10am CET on Jan26 to full-disclosure
list by Stefan
Comment 2 Mark J. Cox (Product Security) 2004-01-29 03:39:42 EST
*** Bug 114304 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.